:root {
    /* FONT COLOR */
    --clr-font-white: rgba(255, 255, 255, 0.8);

    /* PRIMARY COLORS */
    --clr-primary: #4361EE;
    --clr-primary-dark: #000E1E;
    --clr-primary-dark-2: #000c19;
    --clr-primary-gradient-1: linear-gradient(#4361EE,  #3F37C9);
    --clr-primary-gradient-2: linear-gradient(#4cc9f0,  #4895ef);
    --clr-primary-gradient-3: linear-gradient(#7209b7,  #560bad);
    --clr-primary-gradient-4: linear-gradient(#f72585,  #b5179e);
    --clr-bg-gradient: linear-gradient(rgba(0, 14, 30, 0), rgba(62, 55, 201, 0.15), rgba(0, 14, 30, 0));
    --clr-bg-2-gradient: linear-gradient(rgb(0, 14, 30),  rgba(62, 55, 201, 0.35));
    
    /* JOBS COLORS */
    --clr-manager: #7209B7;
    --clr-entw: #4361EE;
    --clr-innovation: #B5179E;
    --clr-andere: #4CC9F0;
    --clr-manager-bg: rgba(114, 9, 183, 0.1);
    --clr-entw-bg: rgba(67, 97, 238, 0.1);
    --clr-innovation-bg:   rgba(181, 23, 158, 0.1);  
    --clr-andere-bg: rgba(76, 201, 240, 0.1);

    /* FONT */
    --ff-primary: "Poppins-Light", sans-serif;

    /* BORDER */
    --border: 1px solid rgba(199, 89, 89, 0.05);
  }

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
    background-color: var(--clr-primary-dark);
}



body {
    font-family: var(--ff-primary);
    line-height: 1;
    color: var(--clr-font-white);
}


/***************************************************/
/* GENERAL COMPONENTS */
/***************************************************/

.container {
    max-width: 140rem;
    padding: 0 3.2rem;
    margin: 0 auto;
}

.grid {
    display: grid;
    column-gap: 6.4rem;
    row-gap: 6.4rem;
}

.grid-5 {
    display: grid;
    column-gap: 3.6rem;
    row-gap: 3.6rem;
}

.grid--2--cols {
    grid-template-columns: repeat(2, 1fr);
}

.grid--3--cols {
    grid-template-columns: repeat(3, 1fr);
}

.grid--4--cols {
    grid-template-columns: repeat(4, 1fr);
}

.grid--5--cols {
    grid-template-columns: repeat(5, 1fr);
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
    font-family: "Poppins-Bold", sans-serif;
    color: var(--clr-font-white);
    letter-spacing: -0.5px;
}

.heading-primary {
    font-size: 9.8rem;
    line-height: 1.05;
    margin-bottom: 1.2rem;
}

.heading-secondary { 
    font-size: 4.4rem;
    line-height: 1.2;
    margin-bottom: 4.4rem;
    text-align: center;
}

.heading-tertiary {
    font-size: 3.0rem;
    line-height: 1.2;
    margin-bottom: 3.2rem;
}

.heading-tertiary-daten {
    font-family: "Poppins-Bold", sans-serif;
    font-size: 3.0rem;
    line-height: 1.2;
    margin-top: 4.8rem;
    margin-bottom: .5rem;
}

.subheading {
    font-family: "Poppins-Medium", sans-serif;
    display: block;
    font-size: 1.6rem;
    color: var(--clr-primary);
    text-transform: uppercase;
    margin-bottom: 1.6rem;
    letter-spacing: 0.75px;
}

.tittle {
    font-family: "Poppins-SemiBold", sans-serif;
    font-size: 2rem;
    color: var(--clr-font-white);
    margin-bottom: 1rem;
    line-height: 2.4rem;
}

.text {
    font-family: "Poppins-Light", sans-serif;
    font-size: 1.6rem;
    color: var(--clr-font-white);
    line-height: 1.8;
}

.text-small {
    font-family: "Poppins-Light", sans-serif;
    font-size: 1.4rem;
    color: var(--clr-font-white);
    line-height: 1.6;
}

.text-small-bold {
    font-family: "Poppins-Bold", sans-serif;
    font-size: 1.6rem;
    color: var(--clr-font-white);
    line-height: 1.6;
    margin-top: 1.6rem;
}

.text-center {
    font-family: "Poppins-Light", sans-serif;
    font-size: 1.6rem;
    text-align: center;
    color: var(--clr-font-white);
    line-height: 1.8;
}


/***************************************************/
/* BUTTON BUTTON BUTTON */
/***************************************************/

.btn:link,
.btn:visited {
    font-family: "Poppins-Medium", sans-serif;
    text-decoration: none;
    padding: 2rem 4.4rem;
    font-size: 1.8rem;
    display: inline-block;
    border-radius: 100px;
    transition: all .2s;
    position: relative;

    animation: moveInBottom 1s ease-in-out;
}

.btn:hover {
    transform: translatey(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.btn:active {
    transform: translate(-1px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.btn-gradient {
    background-image: var(--clr-primary-gradient-1);
    color: var(--clr-font-white);
}

.btn::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    border-radius: 100px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all .4s;
}

.btn-gradient::after {
    background-image: var(--clr-primary-gradient-1);
}

.btn:hover::after {
    transform: scaleX(1.4) scaleY(1.6);
    opacity: 0;
}

.margin-right-sm {
    margin-right: 1.6rem;
}

.margin-bottom-md {
    margin-bottom: 4.8rem;
}

.center-text {
    text-align: center;
}

strong {
    font-family: "Poppins-Medium", sans-serif;

}

#mouse-circle {
    position: absolute;
    width: 3rem;
    height: 3rem;
    margin: -1.5rem 0 0 -1.5rem;
    border: 1px solid var(--clr-primary);
    border-radius: 50%;
    pointer-events: none;
}



@keyframes moveInBottom {
    0% {
        opacity: 0;
        transform: translateY(100px);
    }

    100% {
        opacity: 1;
        transform: translate(0);
    }
}

@keyframes moveInRight {
    0% {
        opacity: 0;
        transform: translateX(-100px);
    }

    80% {
        transform: translateX(10px);
    }

    100% {
        opacity: 1;
        transform: translate(0);
    }
}

@keyframes moveInLeft {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }

    80% {
        transform: translateX(-10px);
    }

    100% {
        opacity: 1;
        transform: translate(0);
    }
}






